Passa al contenuto principale

PecOwnerChangePaginatedListResponse

Successful response with a page of PecOwnerChange

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data object[]required

Items of the page: an empty list beyond the last page

  • Array [
  • owner_change_idinteger | nullnullablerequired
    pec_idinteger | nullnullablerequired

    Id of the PEC mailbox of the request (GET /api/v3/pec-mailboxes/{pec_id}); null for the requests of a PEC domain

    pec_domain_idinteger | nullnullablerequired

    Id of the PEC domain of the request (GET /api/v3/pec-domains/{pec_domain_id}); null for the requests of a mailbox

    status_codestring | nullnullablerequired

    Status of the request: PENDENT (documents not sent yet), PENDENT_APPROVAL (waiting for our approval), APPROVED or REJECTED

    rejection_reasonstring | nullnullablerequired

    Reason of the rejection; null unless the request was rejected

    submission_datedate-timenullablerequired

    When the documents were sent; null until they are

    acceptance_datedate-timenullablerequired

    When the request was approved

    rejection_datedate-timenullablerequired

    When the request was rejected

    has_identity_documentbooleanrequired

    Whether the request has the identity document

    has_contract_documentbooleanrequired

    Whether the request has the contract

    has_order_module_documentbooleanrequired

    Whether the request has the order form

    owner_old objectrequired

    Owner (titolare) of a PEC mailbox or domain: the person and, for organizations, the data of the organization; all the fields are null when there is no owner

    pec_owner_idinteger | nullnullablerequired

    Id of the owner, as owner_id of the owner change requests

    owner_legal_entity_typestring | nullnullablerequired

    Legal form of the owner: PRIVATO (private individual), LIBERO_PROFESSIONISTA (self-employed professional), DITTA_INDIVIDUALE or the old AZIENDA_DITTA_INDIVIDUALE (sole proprietorship), AZIENDA (company), PUBBLICA_AMMINISTRAZIONE (public administration) or NO_PROFIT (non-profit organization)

    admin_first_namestring | nullnullablerequired

    First name of the owner or, for organizations, of the person who acts for them

    admin_last_namestring | nullnullablerequired

    Last name of the owner or, for organizations, of the person who acts for them

    admin_emailstring | nullnullablerequired

    Email of the owner or, for organizations, of the person who acts for them

    admin_fiscal_codestring | nullnullablerequired

    Codice fiscale (Italian tax code) of the owner or, for organizations, of the person who acts for them

    admin_vat_numberstring | nullnullablerequired

    VAT number (partita IVA) of the owner; not used for PRIVATO

    company_namestring | nullnullablerequired

    Business name of the organization, for DITTA_INDIVIDUALE, AZIENDA, PUBBLICA_AMMINISTRAZIONE and NO_PROFIT

    company_emailstring | nullnullablerequired

    Email of the organization, for AZIENDA, PUBBLICA_AMMINISTRAZIONE and NO_PROFIT

    company_fiscal_codestring | nullnullablerequired

    Codice fiscale (Italian tax code) of the organization, for AZIENDA, PUBBLICA_AMMINISTRAZIONE and NO_PROFIT

    owner_new objectrequired

    Owner (titolare) of a PEC mailbox or domain: the person and, for organizations, the data of the organization; all the fields are null when there is no owner

    pec_owner_idinteger | nullnullablerequired

    Id of the owner, as owner_id of the owner change requests

    owner_legal_entity_typestring | nullnullablerequired

    Legal form of the owner: PRIVATO (private individual), LIBERO_PROFESSIONISTA (self-employed professional), DITTA_INDIVIDUALE or the old AZIENDA_DITTA_INDIVIDUALE (sole proprietorship), AZIENDA (company), PUBBLICA_AMMINISTRAZIONE (public administration) or NO_PROFIT (non-profit organization)

    admin_first_namestring | nullnullablerequired

    First name of the owner or, for organizations, of the person who acts for them

    admin_last_namestring | nullnullablerequired

    Last name of the owner or, for organizations, of the person who acts for them

    admin_emailstring | nullnullablerequired

    Email of the owner or, for organizations, of the person who acts for them

    admin_fiscal_codestring | nullnullablerequired

    Codice fiscale (Italian tax code) of the owner or, for organizations, of the person who acts for them

    admin_vat_numberstring | nullnullablerequired

    VAT number (partita IVA) of the owner; not used for PRIVATO

    company_namestring | nullnullablerequired

    Business name of the organization, for DITTA_INDIVIDUALE, AZIENDA, PUBBLICA_AMMINISTRAZIONE and NO_PROFIT

    company_emailstring | nullnullablerequired

    Email of the organization, for AZIENDA, PUBBLICA_AMMINISTRAZIONE and NO_PROFIT

    company_fiscal_codestring | nullnullablerequired

    Codice fiscale (Italian tax code) of the organization, for AZIENDA, PUBBLICA_AMMINISTRAZIONE and NO_PROFIT

    date_createddate-timenullablerequired
  • ]
  • meta objectrequired

    Pagination of the list

    totalintegerrequired

    Number of items in the whole list

    countintegerrequired

    Number of items in this page: 0 beyond the last page

    pagesintegerrequired

    Number of pages of the list

    pageintegerrequired

    Number of this page, starting from 1

    per_pageintegerrequired

    Maximum number of items in a page

    PecOwnerChangePaginatedListResponse
    {
    "error": 0,
    "message": "string",
    "data": [
    {
    "owner_change_id": 0,
    "pec_id": 0,
    "pec_domain_id": 0,
    "status_code": "string",
    "rejection_reason": "string",
    "submission_date": "2024-07-29T15:51:28.071Z",
    "acceptance_date": "2024-07-29T15:51:28.071Z",
    "rejection_date": "2024-07-29T15:51:28.071Z",
    "has_identity_document": true,
    "has_contract_document": true,
    "has_order_module_document": true,
    "owner_old": {
    "pec_owner_id": 0,
    "owner_legal_entity_type": "string",
    "admin_first_name": "string",
    "admin_last_name": "string",
    "admin_email": "string",
    "admin_fiscal_code": "string",
    "admin_vat_number": "string",
    "company_name": "string",
    "company_email": "string",
    "company_fiscal_code": "string"
    },
    "owner_new": {
    "pec_owner_id": 0,
    "owner_legal_entity_type": "string",
    "admin_first_name": "string",
    "admin_last_name": "string",
    "admin_email": "string",
    "admin_fiscal_code": "string",
    "admin_vat_number": "string",
    "company_name": "string",
    "company_email": "string",
    "company_fiscal_code": "string"
    },
    "date_created": "2024-07-29T15:51:28.071Z"
    }
    ],
    "meta": {
    "total": 0,
    "count": 0,
    "pages": 0,
    "page": 0,
    "per_page": 0
    }
    }